
Redmine - Defect #16105

Time Tracking doesn't work from git commits

2014-02-15 18:06 - Vasily Khayrulin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.4.3

Description

I've setup redmine 2.4.3

Created test project. added git repository in settings.

Also i've enabled parse time for commits and enabled time tracking module for project.

Next I'm trying to do commit with comments like 'issue #1 @1h'

I could see assigned commits for the issue, but spent time and status doesn't change.

Related issues:

Is duplicate of Redmine - Defect #16126: Regexp in time logging match does no... Closed

History

#1 - 2014-02-15 23:40 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

You should map commit users to redmine users who can use time tracker.

#2 - 2014-02-16 07:43 - Vasily Khayrulin

Hm. user has same name and email in redmine and in commit.

And user was recognized correctly (correct links on commit user 

https://www.dropbox.com/s/23o0ccjpkhtxytb/Screenshot%202014-02-16%2010.42.48.png)

Anyway. I pressed "submit" in repository users settings (with no changes in user map). And now it works.

Seems like there is a problem with automatic mapping?

#3 - 2014-02-19 08:37 - Vasily Khayrulin

- Status changed from Closed to Reopened

up

#4 - 2014-02-19 17:24 - Max Pogorelov

confirm bug.

works:

refs #1 @1h30

refs #3 @0h30

 does not work:

refs add popovers #3 @30m

refs add popovers #3 @30

refs time log testing #3 @0h30

 this one recognizes only spent time for first issue (#1) and ignores #3:
https://www.redmine.org/issues/1
https://www.dropbox.com/s/23o0ccjpkhtxytb/Screenshot%202014-02-16%2010.42.48.png
https://www.redmine.org/issues/1
https://www.redmine.org/issues/3


Completed implementation of two new features: refs #1 @3h #3 @6h

#5 - 2014-02-19 17:42 - Vasily Khayrulin

I've described another bug

#6 - 2014-02-19 23:51 - Toshi MARUYAMA

- Status changed from Reopened to New

- Resolution deleted (Invalid)

#7 - 2014-03-16 04:48 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Max Pogorelov wrote:

confirm bug.

works:

[...]

does not work:

[...]

this one recognizes only spent time for first issue (#1) and ignores #3:

[...]

 See #16126#note-3.

#8 - 2014-03-16 04:48 - Toshi MARUYAMA

- Is duplicate of Defect #16126: Regexp in time logging match does not work added
